Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class Deployable

    java.lang.Object
      org.apache.axis2.engine.Deployable

    public class Deployable

extends java.lang.Object

A Deployable is a container for something (Phases, Handlers) which wants to be deployed in an ordered and constrained fashion via a DeployableChain.

Constructor Summary
`Deployable(java.lang.String name)`
`Deployable(java.lang.String name, java.lang.Object target)`

Method Summary
`void` | `addPredecessor(java.lang.String name)`
`void` | `addSuccessor(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPhase()`
`java.util.Set<java.lang.String>` | `getPredecessors()`
`java.util.Set<java.lang.String>` | `getSuccessors()`
`java.lang.Object` | `getTarget()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`void` | `setFirst(boolean first)`
`void` | `setLast(boolean last)`
`void` | `setPhase(java.lang.String phase)`
`void` | `setTarget(java.lang.Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Deployable

    public Deployable(java.lang.String name)

### Deployable

    public Deployable(java.lang.String name,
                      java.lang.Object target)

Method Detail

### getName

    public java.lang.String getName()

### addSuccessor

    public void addSuccessor(java.lang.String name)

### addPredecessor

    public void addPredecessor(java.lang.String name)

### getPredecessors

    public java.util.Set<java.lang.String> getPredecessors()

### getSuccessors

    public java.util.Set<java.lang.String> getSuccessors()

### getPhase

    public java.lang.String getPhase()

### setPhase

    public void setPhase(java.lang.String phase)

### isFirst

    public boolean isFirst()

### setFirst

    public void setFirst(boolean first)

### isLast

    public boolean isLast()

### setLast

    public void setLast(boolean last)

### setTarget

    public void setTarget(java.lang.Object target)

### getTarget

    public java.lang.Object getTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.